package be.iminds.ilabt.jfed.experimenter_gui.slice.scp;

import be.iminds.ilabt.jfed.experiment.Experiment;
import be.iminds.ilabt.jfed.rspec.model.javafx_impl.FXRspecNode;
import javafx.beans.property.LongProperty;
import javafx.concurrent.Task;

/**
 * User: twalcari
 * Date: 8/25/2016
 * Time: 10:21
 */
public abstract class SCPTask extends Task<Boolean> {
    protected final Experiment experiment;
    protected final FXRspecNode node;

    public SCPTask(Experiment experiment, FXRspecNode node) {
        this.experiment = experiment;
        this.node = node;
    }

    public Experiment getExperiment() {
        return experiment;
    }

    public FXRspecNode getNode() {
        return node;
    }

    public abstract String getLocalPath();

    public abstract String getRemotePath();

    public abstract LongProperty sizeProperty();
}
